/**
@license
Copyright (c) 2015 The Polymer Project Authors. All rights reserved.
This code may only be used under the BSD style license found at
http://polymer.github.io/LICENSE.txt The complete set of authors may be found at
http://polymer.github.io/AUTHORS.txt The complete set of contributors may be
found at http://polymer.github.io/CONTRIBUTORS.txt Code distributed by Google as
part of the polymer project is also subject to an additional IP rights grant
found at http://polymer.github.io/PATENTS.txt
*/
import '@polymer/polymer/polymer-legacy.js';

import {Polymer} from '@polymer/polymer/lib/legacy/polymer-fn.js';
import {html} from '@polymer/polymer/lib/utils/html-tag.js';

import {IronValidatableBehavior} from '../iron-validatable-behavior.js';

Polymer({
  _template: html`
    <style>
      :host {
        display: inline-block;
      }
      input {
        padding: 0.4em;
        font-size: 16px;
        margin: 5px;
        color: inherit;
      }
    </style>
    <input id="input">
`,

  is: 'validatable-input',

  properties:
      {invalid: {reflectToAttribute: true, type: Boolean, value: false}},

  behaviors: [IronValidatableBehavior],
  listeners: {'input': '_onInput'},

  _onInput: function() {
    this.invalid = !this.validate(this.$.input.value);
  }
});
